/**
 * @file
 *
 * @ingroup LibIO
 *
 * @brief rtems_filesystem_handlers_default definition.
 */

/*
 * Copyright (c) 2010
 * embedded brains GmbH
 * Obere Lagerstr. 30
 * D-82178 Puchheim
 * Germany
 * <rtems@embedded-brains.de>
 *
 * The license and distribution terms for this file may be
 * found in the file LICENSE in this distribution or at
 * http://www.rtems.com/license/LICENSE.
 */

#include <rtems/libio.h>

const rtems_filesystem_file_handlers_r rtems_filesystem_handlers_default = {
  .open_h = rtems_filesystem_default_open,
  .close_h = rtems_filesystem_default_close,
  .read_h = rtems_filesystem_default_read,
  .write_h = rtems_filesystem_default_write,
  .ioctl_h = rtems_filesystem_default_ioctl,
  .lseek_h = rtems_filesystem_default_lseek,
  .fstat_h = rtems_filesystem_default_fstat,
  .fchmod_h = rtems_filesystem_default_fchmod,
  .ftruncate_h = rtems_filesystem_default_ftruncate,
  .fpathconf_h = rtems_filesystem_default_fpathconf,
  .fsync_h = rtems_filesystem_default_fsync,
  .fdatasync_h = rtems_filesystem_default_fdatasync,
  .fcntl_h = rtems_filesystem_default_fcntl,
  .rmnod_h = rtems_filesystem_default_rmnod
};
